Subject: [renum] Embedding Globally-Routable Internet Addresses Considered Harmful

From: Brian E Carpenter <[email-masked]>
Date: Thu, 24 Jan 2013 13:39:58 +0000

Hi,

Somehow we managed to miss RFC 4085 "Embedding Globally-Routable
Internet Addresses Considered Harmful" when writing
draft-ietf-6renum-static-problem.

Would anyone here object to sliding in a citation during AUTH48?

Regards
   Brian Carpenter

---

From: Tim Chown <[email-masked]>
Date: Mon, 28 Jan 2013 17:56:31 +0000

> Would anyone here object to sliding in a citation during AUTH48?

This seems worthwhile, if it fits within the AUTH48 process. I must admit I had forgotten about that document. 

Tim

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 29 Jan 2013 09:02:25 +0000

> This seems worthwhile, if it fits within the AUTH48 process. I must admit I had forgotten about that document. 

Hmm. I was just looking at the draft to see where this would fit in,
and the answer is nowhere, without creating a new section, which is
really too much for AUTH48. I do think we should consider RFC 4085
as an important recommendation, however.

    Brian

---

From: Tim Chown <[email-masked]>
Date: Tue, 29 Jan 2013 09:20:45 +0000

> as an important recommendation, however.

I see what you mean; the discussion is specifically about long-lived static addresses, rather than embedding globally routable addresses in configurations (that may or may not be long-lived).

You could perhaps add "While a BCP exists discouraging use of static addresses [RFC4085], their use is still very much common practice." after the first sentence in the introduction?

Or in the enterprise draft you could maybe add RFC 4085 to the sentence "The reader is assumed to be familiar with [RFC4192] and [RFC5887]", given the previous sentence talks about current practices, and 4085 is a BCP, albeit one not followed as much as one might hope.

Again, it depends on the limitations of AUTH48 tweaks. It would be good to include a reference to this in the suite of 6renum deliverables. I haven't looked at gap-analysis (which is more open to minor edits being with the IESG now).

Tim